tigase.jaxmpp.j2se.connection.socks5bytestream

## Class J2SEStreamhostsResolver

- java.lang.Object
- - tigase.jaxmpp.j2se.connection.socks5bytestream.J2SEStreamhostsResolver

- All Implemented Interfaces:
    StreamhostsResolver

      public class J2SEStreamhostsResolver
      extends Object
      implements StreamhostsResolver

  Author:
    andrzej

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `J2SEStreamhostsResolver()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Streamhost>` | `getLocalStreamHosts(JID jid, int port)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### J2SEStreamhostsResolver

          public J2SEStreamhostsResolver()

  - ### Method Detail

    - #### getLocalStreamHosts

          public List<Streamhost> getLocalStreamHosts(JID jid,
                                                      int port)

      Specified by:
        `getLocalStreamHosts` in interface `StreamhostsResolver`

Copyright © 2006–2020 Tigase. All rights reserved.